rewind
set_file_buffer
Filesystem Functions
PHP Manual

# rmdir

(PHP 4, PHP 5)

rmdir — Removes directory

### Description

bool rmdir ( string `$dirname` [, resource `$context` ] )

Attempts to remove the directory named by `dirname` . The directory must be empty, and the relevant permissions must permit this.

### Parameters

`dirname`

  Path to the directory.

`context`

  > Note: Context support was added with PHP 5.0.0. For a description of contexts, refer to Stream Functions.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### ChangeLog

Version | Description
--- | ---
5.0.0 | As of PHP 5.0.0 rmdir() can also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support rmdir().

### Notes

> Note: When safe mode is enabled, PHP checks whether the directory in which the script is operating has the same UID (owner) as the script that is being executed.

### See Also

- mkdir()
- unlink()

rewind
set_file_buffer
Filesystem Functions
PHP Manual